Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Interface Telephone

    @UML(identifier="CI_Telephone",
         specification=ISO_19115)
    public interface Telephone

Telephone numbers for contacting the responsible individual or organization.

Since:
  GeoAPI 1.0

Method Summary
`String` | `getFacsimile()` Deprecated. Replaced by `getFacsimiles()`.
`Collection<String>` | `getFacsimiles()` Telephone numbers of a facsimile machine for the responsible organization or individual.
`String` | `getVoice()` Deprecated. Replaced by `getVoices()`.
`Collection<String>` | `getVoices()` Telephone numbers by which individuals can speak to the responsible organization or individual.

Method Detail

### getVoice

    @UML(identifier="voice",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getVoice()

  Deprecated. Replaced by `getVoices()`.

  Telephone number by which individuals can speak to the responsible organization or individual.

### getVoices

    @UML(identifier="voice",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<String> getVoices()

  Telephone numbers by which individuals can speak to the responsible organization or individual.

  Since:
    GeoAPI 2.1

### getFacsimile

    @UML(identifier="facsimile",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getFacsimile()

  Deprecated. Replaced by `getFacsimiles()`.

  Telephone number of a facsimile machine for the responsible organization or individual.

### getFacsimiles

    @UML(identifier="facsimile",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<String> getFacsimiles()

  Telephone numbers of a facsimile machine for the responsible organization or individual.

  Since:
    GeoAPI 2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.